[SCM] Debian Live initramfs hook branch, master, updated. 1.156.1-1-1-gdd2b6ce

Daniel Baumann daniel at debian.org
Fri Feb 20 14:57:04 UTC 2009


The following commit has been merged in the master branch:
commit dd2b6ceb4c0e901eb1a12904ed976b77918a86a0
Author: Daniel Baumann <daniel at debian.org>
Date:   Fri Feb 20 15:54:20 2009 +0100

    Only snapshotting in initscript when we actually run with persistence.

diff --git a/debian/live-initramfs.init b/debian/live-initramfs.init
index 4cf767a..2082a2b 100644
--- a/debian/live-initramfs.init
+++ b/debian/live-initramfs.init
@@ -95,14 +95,19 @@ device_is_USB_flash_drive()
 
 do_stop ()
 {
-	if [ ! -z "${ROOTSNAP}" ]
+	if ! grep -qs nopersistent /proc/cmdline && grep -qs persistent /proc/cmdline
 	then
-		${DO_SNAPSHOT} --resync-string="${ROOTSNAP}"
-	fi
+		if [ ! -z "${ROOTSNAP}" ]
+		then
+			${DO_SNAPSHOT} --resync-string="${ROOTSNAP}"
+		fi
 
-	if [ ! -z "${HOMESNAP}" ]
-	then
-		${DO_SNAPSHOT} --resync-string="${HOMESNAP}"
+		if [ ! -z "${HOMESNAP}" ]
+		then
+			${DO_SNAPSHOT} --resync-string="${HOMESNAP}"
+		fi
+	else
+		return 0
 	fi
 
 	# check for netboot

-- 
Debian Live initramfs hook



More information about the debian-live-changes mailing list